org.eclnt.jsfserver.elements.util

## Class ValidValuesBinding.ValidValue

- java.lang.Object
- - org.eclnt.jsfserver.elements.util.ValidValuesBinding.ValidValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ValidValuesBinding.ValidValue>
  Enclosing class:
    ValidValuesBinding

      public class ValidValuesBinding.ValidValue
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Comparable<ValidValuesBinding.ValidValue>

  Item within the ValidValuesBinding.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ValidValuesBinding.ValidValue o)`
    `java.lang.String` | `getImage()`
    `java.lang.Comparable` | `getObjectValue()` This method is always returning the object representation.
    `java.lang.String` | `getText()`
    `java.lang.String` | `getValue()` This method is always returning the string representation of the value at it is sent to the client side.
    `java.lang.String` | `getValuecomment()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidValue

          public ValidValue()

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

      This method is always returning the string representation of the value at it is sent to the client side. Use method `getObjectValue()` if you pass e.g. other Comparables (e.g. integer values) as value.

    - #### getText

          public java.lang.String getText()

    - #### getValuecomment

          public java.lang.String getValuecomment()

    - #### getImage

          public java.lang.String getImage()

    - #### getObjectValue

          public java.lang.Comparable getObjectValue()

      This method is always returning the object representation. If you use e.g. Integer-values in the addValidValue-method then this method is returning the Integer value, while `getValue()` is returning the string representation.

    - #### compareTo

          public int compareTo(ValidValuesBinding.ValidValue o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ValidValuesBinding.ValidValue>`

Copyright © CaptainCasa Gmbh. All Rights Reserved.